version: '3.8'

services:
  #qdrant:
   # image: qdrant/qdrant:latest
    #ports:
     # - "6333:6333"
    #volumes:
     # - qdrant_data:/qdrant/storage

  #ollama:
   # image: ollama/ollama:latest
    #ports:
     # - "11434:11434"
    #volumes:
     # - ollama_data:/root/.ollama

  #backend:
   # build: ./backend
    #ports:
     # - "8000:8000"
    #environment:
     # - QDRANT_URL=http://qdrant:6333
      #- OLLAMA_URL=http://ollama:11434
      #- OLLAMA_MODEL=smollm2
      #- AUTHJWT_SECRET_KEY=super-secret-key
    #depends_on:
     # - qdrant
      #- ollama
    #volumes:
    #  - ./backend:/app

  frontend:
    build: ./frontend
    ports:
      - "3000:3000"
    depends_on:
      - backend
    volumes:
      - ./frontend:/app
      - /app/node_modules

#volumes:
 # qdrant_data:
  #ollama_data: 